Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.deployment.xml
Class BeanSchemaBinding

    java.lang.Object
      org.jboss.kernel.plugins.deployment.xml.BeanSchemaBinding

public class BeanSchemaBinding
extends Object

The POJO schema binding.

Version:
  $Revision: 1.44 $
Author:
  Alexey Loubyansky, Adrian Brock

Field Summary
`static org.jboss.kernel.plugins.deployment.xml.BeanSchemaBinding.NullValueElementInterceptor` | `NULLVALUES` The null handler
`static org.jboss.kernel.plugins.deployment.xml.BeanSchemaBinding.ValueMetaDataElementInterceptor` | `VALUES` The value handler

Constructor Summary
`BeanSchemaBinding()`

Method Summary
`static org.jboss.xb.binding.sunday.unmarshalling.SchemaBinding` | `getSchemaBinding()` Get the schema binding
`protected static void` | `init(org.jboss.xb.binding.sunday.unmarshalling.SchemaBinding schemaBinding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUES

    public static org.jboss.kernel.plugins.deployment.xml.BeanSchemaBinding.ValueMetaDataElementInterceptor VALUES

  The value handler

### NULLVALUES

    public static org.jboss.kernel.plugins.deployment.xml.BeanSchemaBinding.NullValueElementInterceptor NULLVALUES

  The null handler

Constructor Detail

### BeanSchemaBinding

    public BeanSchemaBinding()

Method Detail

### getSchemaBinding

    public static org.jboss.xb.binding.sunday.unmarshalling.SchemaBinding getSchemaBinding()

  Get the schema binding

  Returns:
    the schema binding

### init

    protected static void init(org.jboss.xb.binding.sunday.unmarshalling.SchemaBinding schemaBinding)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.